Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Assets
  • Customer
  • Info
  • Knowledgebase
  • Organization
  • Request
  • Requesttype
  • Servicedesk
Cloud
Jira Service Management Cloud / Reference / REST API

Customer

Postman Collection
OpenAPI
POST

Create customer

This method adds a customer to the Jira Service Management instance by passing a JSON file including an email address and display name. The display name does not need to be unique. The record's identifiers, name and key, are automatically generated from the request details.

Permissions required: Jira Administrator Global permission

Data Security Policy: Not exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:servicedesk-customer
Granular:read:customer:jira-service-management, write:customer:jira-service-management, read:user:jira

Connect app scope requiredADMIN

Request

Query parameters

strictConflictStatusCode

boolean

Request bodyapplication/json

displayName

string

email

string

fullName

string

Responses

Returns the customer details.

application/json

UserDTO
POST/rest/servicedeskapi/customer
1 2 3 4 5 6 7 8 9 curl --request POST \ --url 'https://your-domain.atlassian.net/rest/servicedeskapi/customer' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "displayName": "Fred F. User", "email": "fred@example.com" }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 { "accountId": "qm:a713c8ea-1075-4e30-9d96-891a7d181739:5ad6d3581db05e2a66fa80b", "name": "qm:a713c8ea-1075-4e30-9d96-891a7d181739:5ad6d3581db05e2a66fa80b", "key": "qm:a713c8ea-1075-4e30-9d96-891a7d181739:5ad6d3581db05e2a66fa80b", "emailAddress": "fred@example.com", "displayName": "Fred F. User", "active": true, "timeZone": "Australia/Sydney", "_links": { "jiraRest": "https://your-domain.atlassian.net/rest/api/2/user?username=qm:a713c8ea-1075-4e30-9d96-891a7d181739:5ad6d3581db05e2a66fa80b", "avatarUrls": { "16x16": "https://avatar-cdn.atlassian.com/9bc3b5bcb0db050c6d7660b28a5b86c9?s=16&d=https%3A%2F%2Fsecure.gravatar.com%2Favatar%2F9bc3b5bcb0db050c6d7660b28a5b86c9%3Fd%3Dmm%26s%3D16%26noRedirect%3Dtrue", "24x24": "https://avatar-cdn.atlassian.com/9bc3b5bcb0db050c6d7660b28a5b86c9?s=24&d=https%3A%2F%2Fsecure.gravatar.com%2Favatar%2F9bc3b5bcb0db050c6d7660b28a5b86c9%3Fd%3Dmm%26s%3D24%26noRedirect%3Dtrue", "32x32": "https://avatar-cdn.atlassian.com/9bc3b5bcb0db050c6d7660b28a5b86c9?s=32&d=https%3A%2F%2Fsecure.gravatar.com%2Favatar%2F9bc3b5bcb0db050c6d7660b28a5b86c9%3Fd%3Dmm%26s%3D32%26noRedirect%3Dtrue", "48x48": "https://avatar-cdn.atlassian.com/9bc3b5bcb0db050c6d7660b28a5b86c9?s=48&d=https%3A%2F%2Fsecure.gravatar.com%2Favatar%2F9bc3b5bcb0db050c6d7660b28a5b86c9%3Fd%3Dmm%26s%3D48%26noRedirect%3Dtrue" }, "self": "https://your-domain.atlassian.net/rest/api/2/user?username=qm:a713c8ea-1075-4e30-9d96-891a7d181739:5ad6d3581db05e2a66fa80b" } }
PUT

Revoke portal only access for userExperimental

This method revokes portal-only access for a particular user, removing their ability to log in to the Jira Service Management customer portal as a portal-only user. After revocation, the user cannot submit or view requests through the portal.

Permissions required: Site administration (that is, member of the site-admin group).

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:manage:servicedesk-customer
Granular:write:customer:jira-service-management

Connect apps cannot access this REST resource.

Request

Path parameters

accountId

string

Required

Responses

Returned if the request is successful.

application/json

any

PUT/rest/servicedeskapi/customer/user/{accountId}/revoke-portal-only-access
1 2 3 4 curl --request PUT \ --url 'https://your-domain.atlassian.net/rest/servicedeskapi/customer/user/{accountId}/revoke-portal-only-access' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'

Rate this page: